SQL-инъекция в PHPMyCart

Дата публикации:
16.06.2008
Всего просмотров:
1030
Опасность:
Средняя
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
PHPMyCart 1.x
Уязвимые версии: PHPMyCart 1.x

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольные SQL команды в базе данных приложения.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "cat" в сценарии shop.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения. Пример:

http://[host]/shop.php?cat=[SQL]

URL производителя: phpmycart.com

Решение: Способов устранения уязвимости не существует в настоящее время.

или введите имя

CAPTCHA